aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--installer/debian.sh32
1 files changed, 7 insertions, 25 deletions
diff --git a/installer/debian.sh b/installer/debian.sh
index 8afa942..1710154 100644
--- a/installer/debian.sh
+++ b/installer/debian.sh
@@ -10,7 +10,7 @@
# * Toolame-DAB
#
# and all required dependencies for a
-# Debian stable and oldstable system.
+# Debian stable system.
#
# Requires: sudo
@@ -21,7 +21,10 @@ NORMAL="\e[0m"
DISTRO="unknown"
if [ $(lsb_release -d | grep -c wheezy) -eq 1 ] ; then
- DISTRO="wheezy"
+ echo -e $RED
+ echo "Warning, debian wheezy is not supported anymore"
+ echo -e $NORMAL
+ exit 1
elif [ $(lsb_release -d | grep -c jessie) -eq 1 ] ; then
DISTRO="jessie"
fi
@@ -37,7 +40,7 @@ echo $DISTRO
if [ "$DISTRO" == "unknown" ] ; then
echo -e $RED
echo "You seem to be running something else than"
- echo "debian jessie or wheezy. This script doesn't"
+ echo "debian jessie. This script doesn't"
echo "support your distribution."
echo -e $NORMAL
exit 1
@@ -124,28 +127,7 @@ make
sudo make install
popd
-#install ZMQ from sources on wheezy
-if [ "$DISTRO" == "wheezy" ] ; then
- echo -e "$GREEN Installing libsodium $NORMAL"
- wget http://download.libsodium.org/libsodium/releases/libsodium-0.6.1.tar.gz
- tar -f libsodium-0.6.1.tar.gz -x
- pushd libsodium-0.6.1
- ./configure
- make
- sudo make install
- popd
-
- echo -e "$GREEN Installing ZeroMQ $NORMAL"
- wget http://download.zeromq.org/zeromq-4.0.4.tar.gz
- tar -f zeromq-4.0.4.tar.gz -x
- pushd zeromq-4.0.4
- ./configure
- make
- sudo make install
- popd
-elif [ "$DISTRO" == "jessie" ] ; then
- sudo apt-get -y install libzmq3-dev libzmq3
-fi
+sudo apt-get -y install libzmq3-dev libzmq3
echo -e "$GREEN Installing KA9Q libfec $NORMAL"
git clone https://github.com/Opendigitalradio/ka9q-fec.git